package oop2_dat2_u;

import java.util.ArrayList;

/**
 * Stack (LIFO: Last-In  First-Out) mittels ArrayList
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class StackArrayList<Object>
{

    private ArrayList<Object> stack = new ArrayList<Object>();

    public void push(Object o)
    {
        stack.add(o);
    }

    public Object pop()
    {
        // damit es keinen Fehler gibt zur Laufzeit, falls der Stack leer ist
        if ( ! isEmpty()) {
            return stack.remove(stack.size() - 1);
        } else {
            return null;
        }
    }

    public boolean isEmpty()
    {
        return stack.isEmpty();
    }

    public boolean isFull()
    {
        return false;
    }
}
